{% import 'AppBundle:Macros:macros.html.twig' as this %}

{% set localContext = 'list' %}

<div class="sub-panel">
    <h1 class="pinkColor">
        <i class="fa fa-star"></i> Actions <span class="badge">{{ tasks|length }}</span>
        {% if is_granted('ADD_TASK', app.user) %}
            <a href="#" actionUrl="{{ path('task_add', { 'member_id':app.user.id }) }}"
               class="modal-form  pull-right btn btn-primary"><i class="fa fa-plus"></i> Ajouter une action</a>
        {%  endif %}
    </h1>
    {% if is_granted('ROLE_CITIZEN') %}
        <span class="info-heading blueColor" data-toggle="collapse" href="#collapseSearch"><i class="fa fa-search"></i> Filtrer - Exporter<span class="caret"></span></span>
        <hr>

        <div class="collapse" id="collapseSearch">
            {% include 'AppBundle:Task:_search.html.twig' %}
        </div>
    {% else %}
        {% include 'AppBundle:Task:help.html.twig' %}
            <hr>
    {% endif %}

    <div id="tasks" class=" no-padding">
        {% if isCompact %}
        {% include 'AppBundle:Task:compactList.html.twig' %}
        {% else %}
        {% include 'AppBundle:Task:detailedList.html.twig' %}
        {% endif %}
    </div>
</div>
